--
--
--
--  Profiles: Keyboard binds: Manual profiles
--  by Fulgerul
--
--  This is a trigger module for Keyboard Layout Saver that reverts KPS to the old way of saving and loading profiles,
--	through manual /commands
--
--


KPS_ManualProfiles = KPS:NewModule("KPS: Manual Profiles", "AceConsole-3.0", "AceEvent-3.0")

-- Module loaded
function KPS_ManualProfiles:OnEnable()
KPS:DebugMsg("KPS: Manual Profiles - OnEnable()")
    
    DEFAULT_CHAT_FRAME:AddMessage("KPS: Manual Profiles ON")
    DEFAULT_CHAT_FRAME:AddMessage("KPS: Use /slashcommands for operations")
    
    -- Disable core events evolving around UPDATE_BINDINGS
    KPS:UnregisterEvent("PLAYER_REGEN_DISABLED")
    KPS:UnegisterEvent("PLAYER_REGEN_ENABLED")
    KPS:UnregisterEvent("UPDATE_BINDINGS")
end


-- Module disabled
function KPS_Talents:OnDisable()
KPS:DebugMsg("KPS: Manual Profiles - OnDisable()")
    
    -- Core events evolving around UPDATE_BINDINGS are registered by CORE!
    DEFAULT_CHAT_FRAME:AddMessage("KPS: Manual Profiles OFF")
   
end